## sivp 0.5.0

=== man/Makefile ===
# Makefile.in generated by automake 1.10.1 from Makefile.am.
# man/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/sivp
pkglibdir = $(libdir)/sivp
pkgincludedir = $(includedir)/sivp
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
subdir = man
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/src/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(helpdir)"
helpDATA_INSTALL = $(INSTALL_DATA)
DATA = $(help_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = aclocal-1.10
AMTAR = tar
AR = ar
AUTOCONF = autoconf
AUTOHEADER = autoheader
AUTOMAKE = automake-1.10
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -I/usr/include/opencv  
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = gfortran
FFLAGS = -g -O2
GREP = /bin/grep
HELPDIR = help
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS =  -lcxcore -lcv -lhighgui -lcvaux -lml  
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = makeinfo
MKDIR_P = /bin/mkdir -p
NMEDIT = 
OBJEXT = o
OPENCV_CFLAGS = -I/usr/include/opencv  
OPENCV_LIBS = -lcxcore -lcv -lhighgui -lcvaux -lml  
PACKAGE = sivp
PACKAGE_BUGREPORT = https://sourceforge.net/tracker/?group_id=134898&atid=731349
PACKAGE_NAME = sivp
PACKAGE_STRING = sivp 0.5.0
PACKAGE_TARNAME = sivp
PACKAGE_VERSION = 0.5.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
RANLIB = ranlib
SCIDIR = /home/yushiqi/tmp/scilab/scilab-5.0.1-bin/share/scilab
SCIEXE = scilab
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TOOLBOXDIR = /home/yushiqi/tmp/scilab/scilab-5.0.1-bin/share/scilab/contrib/sivp-0.5.0
TOOLBOX_FUNCTIONS =     'sivptest'; 		       'sivp_init'; 		       'imread';		       'int_imwrite';		       'imfinfo'; 		       'aviinfo';		       'aviopen';		       'camopen';		       'avifile';		       'aviclose';		       'avicloseall';		       'avilistopened';		       'avireadframe';		       'addframe';		       'int_imresize';		       'int_imabsdiff';		       'int_imadd'; 		       'int_imsubtract'; 		       'int_immultiply'; 		       'int_imdivide'; 		       'imfilter'; 		       'filter2'; 		       'mat2utfimg'; 		       'int_canny'; 		       'int_sobel'; 		       'int_cvtcolor'; 		       'ind2rgb'; 		       'detectobjects'; 		       'camshift'; 		       'meanshift';		       'detectforeground';		       'impyramid';		   
TOOLBOX_TABLE = 	'sivptest', 'int_test'; 		'sivp_init','int_sivp_init'; 		'imread', 'int_imread';		'int_imwrite', 'int_imwrite';		'imfinfo', 'int_imfinfo';		'aviinfo', 'int_aviinfo';		'aviopen', 'int_aviopen';		'camopen', 'int_camopen';		'avifile', 'int_avifile';		'aviclose','int_aviclose';		'avicloseall','int_avicloseall';		'avilistopened', 'int_avilistopened';		'avireadframe', 'int_avireadframe';		'addframe', 'int_addframe';		'int_imresize', 'int_imresize';		'int_imabsdiff', 'int_imabsdiff';		'int_imadd', 'int_imadd'; 		'int_imsubtract', 'int_imsubtract'; 		'int_immultiply', 'int_immultiply'; 		'int_imdivide', 'int_imdivide'; 		'imfilter', 'int_imfilter'; 		'filter2', 'int_filter2'; 		'mat2utfimg', 'int_mat2utfimg';		'int_canny', 'int_canny'; 		'int_sobel', 'int_sobel'; 		'int_cvtcolor', 'int_cvtcolor'; 		'ind2rgb', 'int_ind2rgb'; 		'detectobjects', 'int_detectobjects'; 		'camshift', 'int_camshift'; 		'meanshift', 'int_meanshift';		'detectforeground', 'int_detectforeground';		'impyramid', 'int_impyramid';		
VERSION = 0.5.0
abs_builddir = /home/yushiqi/sivp/sivp-0.5.0/man
abs_srcdir = /home/yushiqi/sivp/sivp-0.5.0/man
abs_top_builddir = /home/yushiqi/sivp/sivp-0.5.0
abs_top_srcdir = /home/yushiqi/sivp/sivp-0.5.0
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = gfortran
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
has_sablotron = 
has_scilab = yes
has_xsltproc = 
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/yushiqi/sivp/sivp-0.5.0/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /home/yushiqi/tmp/scilab/scilab-5.0.1-bin/share/scilab/contrib/sivp-0.5.0
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_builddir = ..
top_srcdir = ..
manpages_xml = addframe.xml avicloseall.xml aviclose.xml avifile.xml aviinfo.xml avilistopened.xml aviopen.xml avireadframe.xml camopen.xml camshift.xml corr2.xml detecteyes.xml detectfaces.xml detectforeground.xml edge.xml filter2.xml fspecial.xml hsv2rgb.xml im2bw.xml im2double.xml im2int16.xml im2int32.xml im2int8.xml im2uint16.xml im2uint8.xml imabsdiff.xml imadd.xml imcomplement.xml imcrop.xml imdivide.xml imfilter.xml imfinfo.xml imhist.xml imlincomb.xml immultiply.xml imnoise.xml impyramid.xml imread.xml imresize.xml imshow.xml imsubtract.xml imwrite.xml ind2rgb.xml mat2gray.xml mean2.xml meanshift.xml ntsc2rgb.xml rectangle.xml rgb2gray.xml rgb2hsv.xml rgb2ntsc.xml rgb2ycbcr.xml std2.xml xs2im.xml ycbcr2rgb.xml 
manpages_cat = $(manpages_xml:.xml=.cat)
manpages_html = $(manpages_xml:.xml=.htm)
helpdir = /home/yushiqi/tmp/scilab/scilab-5.0.1-bin/share/scilab/contrib/sivp-0.5.0/man
help_DATA = $(manpages_html) whatis.htm 
EXTRA_DIST = $(manpages_xml) html-sivp.xsl mansivp.dtd Makefile.am.input 
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  man/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  man/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-helpDATA: $(help_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(helpdir)" || $(MKDIR_P) "$(DESTDIR)$(helpdir)"
	@list='$(help_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(helpDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(helpdir)/$$f'"; \
	  $(helpDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(helpdir)/$$f"; \
	done

uninstall-helpDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(help_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(helpdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(helpdir)/$$f"; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(helpdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool clean-local mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am: install-helpDATA

install-dvi: install-dvi-am

install-exec-am:

install-html: install-html-am

install-info: install-info-am

install-man:

install-pdf: install-pdf-am

install-ps: install-ps-am

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

## sivp 0.5.3

=== debian/changelog ===
sivp (0.5.3-1ubuntu1) natty; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * New upstream release
  * Fix a bad path in imshow (LP: #610837)
  * Standards-Version updated to version 3.9.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 Feb 2011 15:00:46 +0100

sivp (0.5.2-2) unstable; urgency=low

  * Update sivp code to work with opencv 2.1 (Closes: #590345)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 29 Jul 2010 09:31:20 +0200

sivp (0.5.2-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 18 Apr 2010 22:36:44 +0200

sivp (0.5.1-2) unstable; urgency=low

  * Rebuild against the new version of Scilab package

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 24 Mar 2010 16:41:49 +0100

sivp (0.5.1-1) unstable; urgency=low

  * New upstream release
  * Standard-Version updated to 3.8.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 18 Feb 2010 13:29:33 +0100

sivp (0.5.0-6) unstable; urgency=low

  * Rebuild against the version 2.0 of opencv. Needs an explicit deps on
    libcvaux-dev now. Patch cv2.0.patch added.
  * Updated description of the package
  * Deps against libhighgui-dev updated (> 0.9.6 => >= 0.9.7)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 12 Dec 2009 14:43:06 +0100

sivp (0.5.0-5) unstable; urgency=low

  * postrm & prerm had issues because the package name changed 
    (Closes: #545986)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 10 Sep 2009 16:10:19 +0200

sivp (0.5.0-4) unstable; urgency=low

  * Bad dependency on the replacement of sivp by scilab-sivp (Closes: #545223)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 06 Sep 2009 12:02:09 +0200

sivp (0.5.0-3) unstable; urgency=low

  * Change of my email adresse since I am now DD
  * Removal of Torsten on his request
  * Standards-Version updated to 3.8.3
  * DM-Upload-Allowed removed
  * DEB_DH_MAKESHLIBS_ARGS added to avoid
    postinst-has-useless-call-to-ldconfig
  * Package sivp renamed to scilab-sivp  
  * Scilab is free now. sivp can be moved into main.
  * Copyright file updated with SIP info

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 31 Aug 2009 11:42:32 +0200

sivp (0.5.0-2) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Fix a bug in the build doc process
  * Update Standards-Version to 3.8.0
  * Missing dependencies
  
  [ Christoph Korn ]
  * debian/control: Added ${misc:Depends} to package sivp
    to make lintian happy.
  * postinst and prerm: Fix the lookup for the scilab directory

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Mon, 23 Feb 2009 17:09:40 +0100

sivp (0.5.0-1) unstable; urgency=low

  * New upstream version

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Wed, 21 Jan 2009 14:57:20 +0100

sivp (0.4.3-4) unstable; urgency=low

  * Debian-science added as maintainer
  * SVN moved to debian-science repository

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Tue, 26 Aug 2008 23:46:07 +0200

sivp (0.4.3-3) unstable; urgency=low

  [ Torsten Werner ]
  * Add DM-Upload-Allowed: yes to enable uploads by Sylvestre.

  [ Sylvestre Ledru ]
  * Bug in the prerm file (redundant symbol link file was created) 
    Thanks Shiqi Yu

 -- Torsten Werner <twerner@debian.org>  Tue, 29 Apr 2008 20:35:40 +0200

sivp (0.4.3-2) unstable; urgency=low

  [ Sylvestre Ledru ]
  * pvm building dependency added for specific platform
  * watch file added

  [ Torsten Werner ]
  * Add Homepage and Vcs headers to control file.
  * Update Standards-Version: 3.7.3 (no changes needed).

 -- Torsten Werner <twerner@debian.org>  Thu, 10 Jan 2008 22:15:35 +0100

sivp (0.4.3-1) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Depends cleaned
  * Some build dependencies added
  * Includes copyright file into the package

  [ Shiqi Yu ]
  * Initial release

  [ Torsten Werner ]
  * Move package to contrib because of non-free scilab.

 -- Torsten Werner <twerner@debian.org>  Mon, 17 Sep 2007 22:34:43 +0200

=== debian/control ===
Source: sivp
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
 Shiqi Yu <shiqi.yu@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, cdbs, libcv-dev (>= 2.0.0),
 scilab (>= 3.1), libhighgui-dev (>= 0.9.7), xsltproc, pvm, docbook-xsl, 
 scilab-doc (>= 5.0), libraw1394-dev, libtheora-dev, libvorbis-dev, 
 libcvaux-dev, quilt
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scilab-toolboxes/sivp/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/scilab-toolboxes/sivp/trunk
Homepage: http://sivp.sourceforge.net

Package: scilab-sivp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, scilab (>= 5.0)
Provides: sivp
Replaces: sivp (<< 0.5.0-3)
Conflicts: sivp (<< 0.5.0-3)
Description: Scilab Image and Video Processing toolbox
 SIVP intends to do image and video processing tasks.
 SIVP is meant to be a useful, efficient, and free image and
 video processing toolbox for Scilab.
 Its goals include tasks such as filtering, blurring, edge detection,
 thresholding, histogram manipulation, segmentation, mathematical morphology,
 and color image processing.
 .
 This package also provides some functions on video processing.
 .

=== debian/watch ===
version=3
http://sf.net/sivp/sivp-(\d+[0-9\-\.r]+)\.zip \
  debian debian/orig-tar.sh

## sivp 0.5.3+svn287

=== DESCRIPTION ===

Toolbox: SIVP

Title: Scilab Image and Video Processing module

Summary: SIVP intends to do image processing and video processing tasks

Version: 1.0

Author: Shiqi Yu
 Jia Wu
 Shulin Shang
 Vincent Etienne
 Allan CORNET

Maintainer: Allan Cornet <allan.cornet@scilab.org>

Category: Image Processing

Entity: LIAMA - Institute of Automation - Shenzhen Institute of Advanced Technology

WebSite: http://sivp.sourceforge.net/

URL: http://atoms.scilab.org/toolboxes/SIVP/1.0

License: GPL

ScilabVersion: >= 5.4

Depends:

Date: 2012-02-21 12:00:07

Description: Scilab needs a powerful image processing module. SIVP intends to do image
 processing and video processing tasks. SIVP is meant to be a useful, efficient,
 and free image and video processing toolbox for Scilab.

=== debian/changelog ===
sivp (0.5.3+svn287-2.1ubuntu2) wily; urgency=medium

  * No-change rebuild against libopencv*2.4v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 11:31:28 +0200

sivp (0.5.3+svn287-2.1ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Ignore failures to generate help, since this step is currently failing
      mysteriously on armhf.
    - Redirect scilab's input from /dev/null, so that it doesn't stop in the
      middle of a build if it discovers that its stack is confused.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Nov 2014 13:27:43 +0000

sivp (0.5.3+svn287-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add mips into arch list. 
    Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>.
    Closes: #750634.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 06 Jun 2014 11:15:30 +0100

sivp (0.5.3+svn287-2ubuntu1) raring; urgency=low

  * Ignore failures to generate help, since this step is currently failing
    mysteriously on armhf.
  * Redirect scilab's input from /dev/null, so that it doesn't stop in the
    middle of a build if it discovers that its stack is confused.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Jan 2013 17:48:54 +0000

sivp (0.5.3+svn287-2build1) raring; urgency=low

  * Rebuild for opencv 2.4

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 04 Dec 2012 21:45:52 +0100

sivp (0.5.3+svn287-2) unstable; urgency=low

  * Limit the architecture supported to:
    amd64 armel armhf i386 ia64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 mipsel

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 22 Jun 2012 19:04:36 +0200

sivp (0.5.3+svn287-1) unstable; urgency=low

  * New upstream release from svn snapshoot
  (Closes: #660355, #674363) (LP: #610837, #879097)
  * Drop the patches (most of them are applied upstream)
  * Standards-Version => 3.9.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 22 Jun 2012 15:18:51 +0200

sivp (0.5.3-3) unstable; urgency=low

  * c++_switch.diff: Fix a FTBFS with opencv 2.3. A header is now C++.
    Implying that sivp should be built with g++ instead (Closes: #634796)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 12 Jan 2012 10:26:40 +0100

sivp (0.5.3-2) unstable; urgency=low

  * Standards-Version updated to version 3.9.2
  * Override a warning about the help jar
  * (shameful upload to have a rebuild to fix some issues related to Scilab)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 08 Jun 2011 18:18:37 +0200

sivp (0.5.3-1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * New upstream release
  * Fix a bad path in imshow (LP: #610837)
  * Standards-Version updated to version 3.9.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 Feb 2011 14:49:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: sivp
 Section: math
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
  Shiqi Yu <shiqi.yu@gmail.com>
 Build-Depends: debhelper (>= 5), autotools-dev, cdbs, libcv-dev (>= 2.0.0),
- scilab (>= 3.1), libhighgui-dev (>= 0.9.7), xsltproc, pvm, docbook-xsl, 
- scilab-doc (>= 5.0), libraw1394-dev, libtheora-dev, libvorbis-dev, 
- libcvaux-dev, quilt
-Standards-Version: 3.9.1
+ scilab, libhighgui-dev (>= 0.9.7), xsltproc, pvm, docbook-xsl, 
+ scilab-doc, libraw1394-dev, libtheora-dev, libvorbis-dev, libopencv-dev,
+ libcvaux-dev (>= 2.3), quilt
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scilab-toolboxes/sivp/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/scilab-toolboxes/sivp/trunk
 Homepage: http://sivp.sourceforge.net
 
 Package: scilab-sivp
-Architecture: any
+Architecture: amd64 armel armhf i386 ia64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 mipsel mips
 Depends: ${shlibs:Depends}, ${misc:Depends}, scilab (>= 5.0)
 Provides: sivp
 Replaces: sivp (<< 0.5.0-3)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_DH_MAKESHLIBS_ARGS_scilab-sivp := -n

build-arch: 
	SCI_DISABLE_TK=1 SCI_JAVA_ENABLE_HEADLESS=1 DOCBOOK_ROOT=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh \
	/usr/bin/scilab -nw -f builder.sce </dev/null


install/scilab-sivp::
		mkdir -p $(CURDIR)/debian/scilab-sivp/usr/lib/scilab-sivp/sci_gateway/cpp/
		cp -R $(CURDIR)/sci_gateway/cpp/libgw_sivp.so $(CURDIR)/sci_gateway/cpp/loader.sce $(CURDIR)/debian/scilab-sivp/usr/lib/scilab-sivp/sci_gateway/cpp/
		cp -Rp $(CURDIR)/loader.sce $(CURDIR)/etc/ $(CURDIR)/demos/ $(CURDIR)/images/ $(CURDIR)/jar/ $(CURDIR)/macros/  $(CURDIR)/debian/scilab-sivp/usr/lib/scilab-sivp/

		cp -Rp sci_gateway/loader_gateway.sce $(CURDIR)/debian/scilab-sivp/usr/lib/scilab-sivp/sci_gateway/

		mkdir -p $(CURDIR)/debian/scilab-sivp/usr/share/scilab/contrib/
		cd $(CURDIR)/debian/scilab-sivp/usr/share/scilab/contrib/; \
		rm -f scilab-sivp; \
		ln -s ../../../lib/scilab-sivp/ sivp

=== debian/watch ===
version=3
http://atoms.scilab.org/toolboxes/sivp/ .*/files/SIVP-(\d+[0-9\-\.r]+)-src\.zip \
  debian debian/orig-tar.sh
